<?php
namespace Modules\Cadastros\Services;

use Zeedhi\Framework\DTO;
use Doctrine\ORM\EntityManager;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use Zeedhi\Framework\DB\StoredProcedure\Param;



class CadastroFotoSupplyTekService {

    protected $entityManager;
    protected $crudService;

    public function __construct(EntityManager $entityManager, $environment, $crudService) {
        $this->entityManager = $entityManager;
        $this->environment   = $environment;
        $this->crudService = $crudService;
        $this->connection = $entityManager->getConnection();
    }
    
     
    /* ****************
     *    UPDATE      *
     ******************/
    public function saveImgDescriptionProd ($row) {
        
            //se existe descrição altera o campo descrição para 'Sim' se não para 'Não'
            if($row['DSDESCRICAO'] != ''){
                $row['IDEXISTEDESC'] = 'S';
            }else {
                $row['IDEXISTEDESC'] = 'N';
            }
            //se existe foto altera o campo foto para 'Sim' se não para 'Não'
            if($row['DSPATHFOTO'] != ''){
                $row['IDEXISTEFOTO'] = 'S';
            }else {
                $row['IDEXISTEFOTO'] = 'N';
            }
 
            $sql = "UPDATE PRODSUPPLYTEK SET     DSPATHFOTO = :DSPATHFOTO,     IDEXISTEFOTO = :IDEXISTEFOTO, IDEXISTEDESC = :IDEXISTEDESC,DSDESCRICAO =:DSDESCRICAO WHERE     CDPRODUTO = :CDPRODUTO     AND NRORG = :NRORG";
            $params = array(
                "IDEXISTEFOTO" => $row['IDEXISTEFOTO'],
                "IDEXISTEDESC" => $row['IDEXISTEDESC'],
                "DSDESCRICAO" => $row['DSDESCRICAO'],
                "DSPATHFOTO" => $row['DSPATHFOTO'],
                "CDPRODUTO"   => $row['CDPRODUTO'],
                "NRORG"     => $this->environment->getNrorgTrab()
            );
            
            $std = $this->connection->prepare($sql);
            $std->execute($params);
    }
    
    

}